
const Catalog = {
  en: {
    required: 'This field is required. Please be sure to check.',
    email: 'Your E-mail address appears to be invalid. Please be sure to check.',
    number: 'You can enter only numbers in this field.',
    maxLength: 'Maximum {count} characters allowed!',
    minLength: 'Minimum {count} characters allowed!',
    maxChecked: 'Maximum {count} options allowed. Please be sure to check.',
    minChecked: 'Please select minimum {count} options.',
    maxSelected: 'Maximum {count} selection allowed. Please be sure to check.',
    minSelected: 'Minimum {count} selection allowed. Please be sure to check.',
    notEqual: 'Fields do not match. Please be sure to check.',
    different: 'Fields cannot be the same as each other',
    creditCard: 'Invalid credit card number. Please be sure to check.'
  }
};

let language = 'en';

export function setLanguage(newlang) {
  language = newlang;
}

export function addTranslation(lang, newCatalog) {
  if (!(lang in Catalog)) {
    Catalog[lang] = {};
  }
  for (let key in newCatalog) {
    if (newCatalog.hasOwnProperty(key)) {
      Catalog[lang][key] = newCatalog[key];
    }
  }
}

export default Catalog;
